curl --request POST \
--url https://api.lumisreach.com/api/v1/video-schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"videos_per_day": 5,
"starts_on": "<string>",
"connection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"days_of_week": [
3
],
"post_hour": 11,
"time_zone": "<string>",
"ends_on": "<string>",
"caption": "<string>",
"direction": "<string>",
"allowed_templates": [],
"notify_hours_before": 12,
"notify_by_email": true,
"video_settings": {
"source_url": "<string>",
"source_text": "<string>",
"preset": "<string>",
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"replica_id": "<string>",
"voice_id": "<string>",
"video_model": "<string>"
},
"source_video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.lumisreach.com/api/v1/video-schedules"
payload = {
"name": "<string>",
"videos_per_day": 5,
"starts_on": "<string>",
"connection_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"days_of_week": [3],
"post_hour": 11,
"time_zone": "<string>",
"ends_on": "<string>",
"caption": "<string>",
"direction": "<string>",
"allowed_templates": [],
"notify_hours_before": 12,
"notify_by_email": True,
"video_settings": {
"source_url": "<string>",
"source_text": "<string>",
"preset": "<string>",
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"replica_id": "<string>",
"voice_id": "<string>",
"video_model": "<string>"
},
"source_video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
videos_per_day: 5,
starts_on: '<string>',
connection_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
days_of_week: [3],
post_hour: 11,
time_zone: '<string>',
ends_on: '<string>',
caption: '<string>',
direction: '<string>',
allowed_templates: [],
notify_hours_before: 12,
notify_by_email: true,
video_settings: {
source_url: '<string>',
source_text: '<string>',
preset: '<string>',
avatar_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
replica_id: '<string>',
voice_id: '<string>',
video_model: '<string>'
},
source_video_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lumisreach.com/api/v1/video-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"cadence": "<string>",
"videos_per_day": 0,
"days_of_week": [
0
],
"post_hour": 0,
"time_zone": "<string>",
"starts_on": "<string>",
"ends_on": "<string>",
"skip_dates": [
"<string>"
],
"notify_hours_before": 0,
"notify_by_email": true,
"connection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"caption": "<string>",
"direction": "<string>",
"allowed_templates": [
"<string>"
],
"video_settings": {
"format": "vertical",
"target_duration_seconds": 10,
"source_url": "<string>",
"source_text": "<string>",
"preset": "<string>",
"avatar_provider": "heygen",
"avatar_layout": "center",
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"replica_id": "<string>",
"voice_id": "<string>",
"video_model": "<string>",
"subtitle_style": "none",
"subtitle_position": "top",
"subtitle_size": "small"
},
"source_video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run": {
"day": "<string>",
"post_at": "2023-11-07T05:31:56Z",
"plan_at": "2023-11-07T05:31:56Z"
},
"last_run_on": "<string>",
"last_error": "<string>",
"estimated_price_cents_per_video": 0,
"estimate_depends_on_template": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Create a video schedule
Keep making videos and posting them on a cadence: videos_per_day on days_of_week at post_hour in time_zone, to connection_ids. Before each posting day (notify_hours_before), an AI director picks each video’s template, angle and script from your marketing profile, direction and what is trending; the videos are then made and posted with no review. Pin parts of the recipe with video_settings or allowed_templates, or model it on a video with source_video_id. Creating a schedule is free. Each video it makes is charged when its script is approved, like any other video; estimated_price_cents_per_video is about what each costs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A UUID. When present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
1 - 1201 <= x <= 10First posting day, YYYY-MM-DD
^\d{4}-\d{2}-\d{2}$Accounts every video is posted to
1^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$0 = Sunday to 6 = Saturday. Omit or empty for every day.
70 <= x <= 6Hour of the day posts go out. Default 9.
0 <= x <= 23IANA time zone, e.g. America/New_York. Default UTC.
1 - 64Last posting day. Omit or null to run until paused.
^\d{4}-\d{2}-\d{2}$One caption for every post. Omit to have one written per video.
4000What the videos should be about, in your words
2000Templates the director may pick from. Omit or empty for any it can make.
8talking_avatar, remotion, freeform_ai, meme_hook, interview, phone_mockup, slideshow, real_footage How far ahead the videos are planned and you are told what is coming. Default 1.
0 <= x <= 24Recipe parts pinned for every video: presenter, style, format, length, source.
Show child attributes
Show child attributes
Model the schedule on this video: its template and recipe are pinned
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Success
Show child attributes
Show child attributes